package top.baogutang.strategy.models;

public class Kline {

    private final long openTime;
    private final double open;
    private final double high;
    private final double low;
    private final double close;
    private final double volume;
    private final long closeTime;
    private final boolean finalBar;

    public Kline(long openTime, double open, double high, double low, double close,
                 double volume, long closeTime, boolean finalBar) {
        this.openTime = openTime;
        this.open = open;
        this.high = high;
        this.low = low;
        this.close = close;
        this.volume = volume;
        this.closeTime = closeTime;
        this.finalBar = finalBar;
    }

    public long openTime() {
        return openTime;
    }

    public double open() {
        return open;
    }

    public double high() {
        return high;
    }

    public double low() {
        return low;
    }

    public double close() {
        return close;
    }

    public double volume() {
        return volume;
    }

    public long closeTime() {
        return closeTime;
    }

    public boolean finalBar() {
        return finalBar;
    }
}
